package com.ruoyi.system.domain.vo;

import com.ruoyi.common.annotation.Excel;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;
import java.util.StringJoiner;

/**
 * @ClassName: SearchLocationInfoVo
 * @Author: 于学智
 * @Description: 查询定位服务VO
 * @CreateDate: 2023/9/16 13:47
 * @Version: 1.0
 * @E-mail:18722650553@139.com
 * @Link:https://github.com/18722650553
 */
public class SearchLocationInfoVo implements Serializable {
    private Long id;

    /**
     * 用户ID
     */
    @Excel(name = "设备用户id")
    private Long userId;

    /**
     * 设备用户名
     */
    @Excel(name = "设备用户名")
    private String userName;

    /**
     * 用户名电话号
     */
    @Excel(name = "用户名电话号")
    private String deviceTel;

    /**
     * 查询内容
     */
    @Excel(name = "查询内容")
    private String searchValue;

    /**
     * 查询到的设备ID
     */
    @Excel(name = "查询到的设备ID")
    private Long deviceId;

    /**
     * 查询到的设备手机号
     */
    @Excel(name = "查询到的设备手机号")
    private String devicetel;

    /**
     * 查询到的设备手机号
     */
    @Excel(name = "查询到的设备身份证号")
    private String deviceCardId;

    /**
     * 查询到的设备编号
     */
    @Excel(name = "查询到的设备编号")
    private String deviceIdCode;

    /**
     * 查询到的会员姓名"
     */
    @Excel(name = "查询到的会员姓名")
    private String userNickName;
    /**
     * 查询到的会员性别"
     */
    @Excel(name = "查询到的会员性别")
    private Integer userGender;
    /**
     * 查询到的会员性别"
     */
    @Excel(name = "查询到的会员性别")
    private String userTel1;
    /**
     * 查询到的紧急联系人"
     */
    @Excel(name = "查询到的紧急联系人")
    private String userTel2;
    /**
     * 查询到的紧急联系人"
     */
    @Excel(name = "查询到的紧急联系人")
    private String userTel3;
    /**
     * 查询到的紧急联系人"
     */
    @Excel(name = "查询到的紧急联系人")
    private String userCardId;

    /**
     * 查询到的围栏id"
     */
    @Excel(name = "查询到的围栏id")
    private Long fenceId;

    /**
     * 电子围栏VO
     */
    @Excel(name = "电子围栏VO")
    private List<AMapFenceVo> aMapFenceList;

    /**
     * 经度
     */
    @Excel(name = "经度")
    private BigDecimal gpsLong;

    /**
     * 纬度
     */
    @Excel(name = "纬度")
    private BigDecimal gpsLat;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getDeviceTel() {
        return deviceTel;
    }

    public void setDeviceTel(String deviceTel) {
        this.deviceTel = deviceTel;
    }

    public String getSearchValue() {
        return searchValue;
    }

    public void setSearchValue(String searchValue) {
        this.searchValue = searchValue;
    }

    public Long getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(Long deviceId) {
        this.deviceId = deviceId;
    }

    public String getDevicetel() {
        return devicetel;
    }

    public void setDevicetel(String devicetel) {
        this.devicetel = devicetel;
    }

    public String getDeviceCardId() {
        return deviceCardId;
    }

    public void setDeviceCardId(String deviceCardId) {
        this.deviceCardId = deviceCardId;
    }

    public String getDeviceIdCode() {
        return deviceIdCode;
    }

    public void setDeviceIdCode(String deviceIdCode) {
        this.deviceIdCode = deviceIdCode;
    }

    public String getUserNickName() {
        return userNickName;
    }

    public void setUserNickName(String userNickName) {
        this.userNickName = userNickName;
    }

    public Integer getUserGender() {
        return userGender;
    }

    public void setUserGender(Integer userGender) {
        this.userGender = userGender;
    }

    public String getUserTel1() {
        return userTel1;
    }

    public void setUserTel1(String userTel1) {
        this.userTel1 = userTel1;
    }

    public String getUserTel2() {
        return userTel2;
    }

    public void setUserTel2(String userTel2) {
        this.userTel2 = userTel2;
    }

    public String getUserTel3() {
        return userTel3;
    }

    public void setUserTel3(String userTel3) {
        this.userTel3 = userTel3;
    }

    public String getUserCardId() {
        return userCardId;
    }

    public void setUserCardId(String userCardId) {
        this.userCardId = userCardId;
    }

    public Long getFenceId() {
        return fenceId;
    }

    public void setFenceId(Long fenceId) {
        this.fenceId = fenceId;
    }

    public List<AMapFenceVo> getaMapFenceList() {
        return aMapFenceList;
    }

    public void setaMapFenceList(List<AMapFenceVo> aMapFenceList) {
        this.aMapFenceList = aMapFenceList;
    }

    public BigDecimal getGpsLong() {
        return gpsLong;
    }

    public void setGpsLong(BigDecimal gpsLong) {
        this.gpsLong = gpsLong;
    }

    public BigDecimal getGpsLat() {
        return gpsLat;
    }

    public void setGpsLat(BigDecimal gpsLat) {
        this.gpsLat = gpsLat;
    }

    @Override
    public String toString() {
        return new StringJoiner(", ", SearchLocationInfoVo.class.getSimpleName() + "[", "]")
                .add("id=" + id)
                .add("userId=" + userId)
                .add("userName='" + userName + "'")
                .add("deviceTel='" + deviceTel + "'")
                .add("searchValue='" + searchValue + "'")
                .add("deviceId='" + deviceId + "'")
                .add("devicetel='" + devicetel + "'")
                .add("deviceCardId='" + deviceCardId + "'")
                .add("deviceIdCode='" + deviceIdCode + "'")
                .add("userNickName='" + userNickName + "'")
                .add("userGender=" + userGender)
                .add("userTel1=" + userTel1)
                .add("userTel2='" + userTel2 + "'")
                .add("userTel3='" + userTel3 + "'")
                .add("userCardId='" + userCardId + "'")
                .add("fenceId=" + fenceId)
                .add("aMapFenceList=" + aMapFenceList)
                .add("gpsLong=" + gpsLong)
                .add("gpsLat=" + gpsLat)
                .toString();
    }
}
